Avid_MC_Mob_Reference (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface Avid_MC_Mob_Reference

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    Avid_MC_Mob_ReferenceImpl

      public interface Avid_MC_Mob_Reference
      extends InterchangeObject

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Avid_MC_Mob_Reference` | `clone()` Create a cloned copy of this interchange object.
    `PackageID` | `getMobReferenceMobID()`
    `long` | `getMobReferencePosition()`
    `void` | `setMobReferenceMobID(PackageID mobReferenceMobID)`
    `void` | `setMobReferencePosition(long mobReferencePosition)`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getMobReferenceMobID

          PackageID getMobReferenceMobID()

    - #### setMobReferenceMobID

          void setMobReferenceMobID(PackageID mobReferenceMobID)
                             throws NullPointerException

      Throws:
        `NullPointerException`

    - #### getMobReferencePosition

          @Int64
          long getMobReferencePosition()

    - #### setMobReferencePosition

          void setMobReferencePosition(@Int64
                                       long mobReferencePosition)

    - #### clone

          Avid_MC_Mob_Reference clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.